Skip to main content
GET
Get Event

Authorizations

Authorization
string
header
required

Bearer API key issued from Settings → Developers.

Path Parameters

event_id
string<uuid>
required

ID of the event.

Response

200 - application/json

Successful Response

id
string<uuid>
required

Unique identifier.

event_name
string
required

Custom event name.

occurred_at
string<date-time>
required

When the event occurred in the source system.

subject
PublicEventSubjectOutput · object
required

Subject identifiers submitted with the event.

payload
Payload · object
required

Free-form JSON attributes for the event.

resolution_status
enum<string>
required

Whether the subject has been matched to a contact or account.

Available options:
PENDING,
RESOLVED,
UNRESOLVED
received_at
string<date-time>
required

When Topo received and stored the event.

external_event_id
string | null

Stable identifier from the caller's system, if provided.

contact_id
string<uuid> | null

Matched org-scoped contact, when resolved.

account_id
string<uuid> | null

Matched org-scoped account, when resolved.

resolved_at
string<date-time> | null

When subject resolution completed, if applicable.